<template>
    <div  :class="noroll?'noroll':''">
        <SportsHead></SportsHead>
        <ScrollNav></ScrollNav>
        <Serch></Serch>
        <Match></Match>
        <!-- <LinkFooter></LinkFooter> -->
    </div>
</template>
<script>
import  SportsHead from '../../../components/StSportsHead';
import  Serch from '../../../components/StSerch';
import  Match from '../../../components/StMatch';
import  LinkFooter from '../../../components/StLinkFooter';
import  ScrollNav from '../../../components/StScrollNav';
export default {
    name:'Home',
    components:{
        SportsHead,
        Serch,
        Match,
        LinkFooter,
        ScrollNav
    },
    data(){
        return{
            norill:false,
        }
    },
    computed:{
		noRoll(){
			return this.$store.getters.getNoRoll
		}
	},
	watch:{
		noRoll(val){
			this.norill=val
		}
	},
}
</script>
<style  scoped>
    .noroll{
		position: fixed;
         width: 100%;
		top: 0;
		left: 0;
	}
</style>
